play.mvc.results

## Class BadRequest

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - play.utils.FastRuntimeException
        - - play.mvc.results.Result
          - - play.mvc.results.Error
            - - play.mvc.results.BadRequest

All Implemented Interfaces:
  java.io.Serializable

    public class BadRequest
    extends Error

400 Bad Request

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`BadRequest(java.lang.String msg)`

### Method Summary

### Methods inherited from class play.mvc.results.Error

`apply, getStatus`

### Methods inherited from class play.mvc.results.Result

`getEncoding, setContentTypeIfNotSet`

### Methods inherited from class play.utils.FastRuntimeException

`fillInStackTrace`

### Methods inherited from class java.lang.Throwable

`addSuppressed, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### BadRequest

    public BadRequest(java.lang.String msg)